सामग्री पर जाएँ

Wan v2.2 5B · Text to Video

इंटीग्रेट करें

मॉडल id wan/v2.2-5b/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.2-5b/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.15 150 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

5B मॉडल वाला टेक्स्ट-टू-वीडियो: 580p या 720p, 16:9, 9:16 या 1:1 और वैकल्पिक फ़्रेम इंटरपोलेशन

Doitong पर बनाया गया

Doitong समुदाय द्वारा Wan v22 से बनाए गए सार्वजनिक कार्य। एक क्लिक में प्रॉम्प्ट का पुनः उपयोग करें।

दिखाए गए सार्वजनिक कार्य: 5
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... वीडियो

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... वीडियो

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... वीडियो

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... वीडियो

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, c... वीडियो

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, cinematic Christmas short film, high-quality realistic 3D animation. REFERENCE IMAGE — DASHA_001 Use the uploaded image as the exact character reference for Dasha. Preserve her recognizable face,...

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।

resolution डिफ़ॉल्ट 720p

आउटपुट वीडियो रिज़ॉल्यूशन, 580p या 720p।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का आस्पेक्ट रेशियो, 16:9 या 9:16।

उन्नत negative_prompt · interpolator_model · video_quality · video_write_mode · num_frames · frames_per_second · num_inference_steps · guidance_scale · shift · num_interpolated_frames · seed · enable_safety_checker · enable_output_safety_checker · enable_prompt_expansion · adjust_fps_for_interpolation
डिफ़ॉल्ट

वीडियो बनाते समय लागू किया गया नकारात्मक प्रॉम्प्ट।

interpolator_model डिफ़ॉल्ट film

फ़्रेम इंटरपोलेशन सेटिंग: इंटरपोलेशन छोड़ने के लिए None चुनें या इसे करने वाला मॉडल निर्दिष्ट करें।

video_quality डिफ़ॉल्ट high

आउटपुट वीडियो गुणवत्ता सेटिंग, जिसे बढ़ाने पर बेहतर दृश्य के बदले फ़ाइलें बड़ी होती हैं।

video_write_mode डिफ़ॉल्ट balanced

वीडियो लेखन मोड, जिसमें balanced गति और गुणवत्ता के बीच संतुलन देता है। सबसे छोटी फ़ाइलों और सबसे धीमे लेखन के लिए small चुनें; तेज़ लेखन परिणाम जल्दी लौटाता है, लेकिन बड़ी फ़ाइलें बनाता है।

डिफ़ॉल्ट 81

निर्माण के लिए फ़्रेम की संख्या, 17–161 की समावेशी सीमा के साथ।

डिफ़ॉल्ट 24

निर्मित वीडियो फ़्रेम दर, 4 से 60 तक के मान स्वीकार करती है; `adjust_fps_for_interpolation` को false पर सेट करने से यह दर अपरिवर्तित रहती है। इंटरपोलेशन के साथ `adjust_fps_for_interpolation` true होने पर (यह इसका डिफ़ॉल्ट है), अंतिम FPS प्राप्त करने के लिए इस दर को इंटरपोलेट किए गए फ़्रेम की संख्या plus one से गुणा करें। उदाहरण के लिए, 1 इंटरपोलेट किए गए फ़्रेम के साथ 16 FPS, 32 FPS हो जाता है।

डिफ़ॉल्ट 40

sampling step count, जिसमें count बढ़ने पर अधिक processing time के बदले बेहतर गुणवत्ता मिलती है।

डिफ़ॉल्ट 3.5

Classifier-free guidance की शक्ति, जिसमें scale बढ़ने पर संभावित गुणवत्ता ह्रास के बदले प्रॉम्प्ट से अधिक निकटता से मिलान होता है।

डिफ़ॉल्ट 5

वीडियो शिफ्ट सेटिंग, जिसकी अनुमत सीमा 1.0–10.0 है।

डिफ़ॉल्ट 0

प्रत्येक दो निर्मित फ़्रेमों के बीच के अंतराल में 0–4 इंटरपोलेट किए गए फ़्रेम डालें।

निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।

POST /run/wan/v2.2-5b/text-to-video?wait=20 कोटेशन → $0.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan/v2.2-5b/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Wan v2.2 5B · Text to Video के बारे में

टेक्स्ट `prompt` से वीडियो क्लिप बनाता है। लंबाई `num_frames` (17 से 161) और `frames_per_second` (4 से 60) से सेट होती है, जबकि `resolution` 580p या 720p और आस्पेक्ट रेशियो 16:9, 9:16 या 1:1 होते हैं। film या rife के साथ फ़्रेम इंटरपोलेशन सक्षम किया जा सकता है और आउटपुट गुणवत्ता तथा फ़ाइल लेखन मोड समायोजित किए जा सकते हैं। यह अधिकतम 50 इन्फ़रेंस चरणों वाला मानक-गाइडेंस संस्करण है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
वीडियो बनाते समय लागू किया गया नकारात्मक प्रॉम्प्ट।
num_framesवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट81
17 – 161
निर्माण के लिए फ़्रेम की संख्या, 17–161 की समावेशी सीमा के साथ।
frames_per_secondवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट24
4 – 60
निर्मित वीडियो फ़्रेम दर, 4 से 60 तक के मान स्वीकार करती है; `adjust_fps_for_interpolation` को false पर सेट करने से यह दर अपरिवर्तित रहती है। इंटरपोलेशन के साथ `adjust_fps_for_interpolation` true होने पर (यह इसका डिफ़ॉल्ट है), अंतिम FPS प्राप्त करने के लिए इस दर को इंटरपोलेट किए गए फ़्रेम की संख्या plus one से गुणा करें। उदाहरण के लिए, 1 इंटरपोलेट किए गए फ़्रेम के साथ 16 FPS, 32 FPS हो जाता है।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
580p720p
आउटपुट वीडियो रिज़ॉल्यूशन, 580p या 720p।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:161:1
आउटपुट वीडियो का आस्पेक्ट रेशियो, 16:9 या 9:16।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट40
2 – 50
sampling step count, जिसमें count बढ़ने पर अधिक processing time के बदले बेहतर गुणवत्ता मिलती है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
प्रोसेसिंग से पहले इनपुट सुरक्षा जाँच, जिसे केवल अधिकृत खाते बंद कर सकते हैं। प्राधिकरण रहित अनुरोध हमेशा जाँचे जाते हैं; अन्यथा true जाँच सक्षम करता है।
enable_output_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
निर्मित वीडियो की सुरक्षा जाँच नियंत्रित करता है; true सेट करने पर निर्माण के बाद जाँच सक्षम होती है।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
बड़े भाषा मॉडल को विवरणों के साथ प्रॉम्प्ट समृद्ध करने दें। इस विस्तार को सक्षम करने पर प्रॉम्प्ट का अर्थ अपरिवर्तित रहता है।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3.5
1 – 10
Classifier-free guidance की शक्ति, जिसमें scale बढ़ने पर संभावित गुणवत्ता ह्रास के बदले प्रॉम्प्ट से अधिक निकटता से मिलान होता है।
shiftवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट5
1 – 10
वीडियो शिफ्ट सेटिंग, जिसकी अनुमत सीमा 1.0–10.0 है।
interpolator_modelवैकल्पिक
प्रकारenum
डिफ़ॉल्टfilm
nonefilmrife
फ़्रेम इंटरपोलेशन सेटिंग: इंटरपोलेशन छोड़ने के लिए None चुनें या इसे करने वाला मॉडल निर्दिष्ट करें।
num_interpolated_framesवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट0
0 – 4
प्रत्येक दो निर्मित फ़्रेमों के बीच के अंतराल में 0–4 इंटरपोलेट किए गए फ़्रेम डालें।
adjust_fps_for_interpolationवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
फ़्रेम-दर समायोजन टॉगल: false दिए गए FPS को बनाए रखता है, जबकि true इसे इंटरपोलेट किए गए फ़्रेम की संख्या plus one से स्केल करता है। इसलिए, 1 फ़्रेम इंटरपोलेट होने और समायोजन सक्षम होने पर 16 FPS, 32 FPS हो जाता है।
video_qualityवैकल्पिक
प्रकारenum
डिफ़ॉल्टhigh
lowmediumhighmaximum
आउटपुट वीडियो गुणवत्ता सेटिंग, जिसे बढ़ाने पर बेहतर दृश्य के बदले फ़ाइलें बड़ी होती हैं।
video_write_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टbalanced
fastbalancedsmall
वीडियो लेखन मोड, जिसमें balanced गति और गुणवत्ता के बीच संतुलन देता है। सबसे छोटी फ़ाइलों और सबसे धीमे लेखन के लिए small चुनें; तेज़ लेखन परिणाम जल्दी लौटाता है, लेकिन बड़ी फ़ाइलें बनाता है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.2-5b/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 150,
    "usd": "0.15",
    "charged": 150,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}निर्माण से तैयार की गई वीडियो फ़ाइल।
prompt
stringवीडियो बनाने के लिए उपयोग किया गया टेक्स्ट प्रॉम्प्ट।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/wan/v2.2-5b/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt